<HTML>
<HEAD>
<TITLE>absolute_time_graph.lvlib:check_file_name.vi</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="GENERATOR" CONTENT="G Development Environment">
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<A NAME="absolute_time_graph.lvlib:check_file_name.vi"></A><H2>absolute_time_graph.lvlib:check_file_name.vi</H2>
<P>This vi will check a file name for invalid characters. Either a path or a string can be input. If both are input the path will take precedence. If neither is input this vi will generate an error. Any bad characters found are output in a srting and can be added to a message to notify a user what characters in their file name are bad.</P>
<P>R.Fogg NTS Corp 505-345-9499</P>
<HR>
<H3>Connector Pane</H3>
<P><IMG SRC="full_help/full_helpc.png" ALT="absolute_time_graph.lvlib:check_file_name.vi"></P>
<HR>
<H3>Front Panel</H3>
<P><IMG SRC="full_help/full_helpp.png" ALT="absolute_time_graph.lvlib:check_file_name.vi"></P>
<HR>
<H3>Controls and Indicators</H3>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cpath.png" ALT="cpath"></P>
</TD>
<TD>
<B>Path</B> <P>Input path</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>Path String</B> <P>Input path string</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cerrcodeclst.png" ALT="cerrcodeclst"></P>
</TD>
<TD>
<B>error in</B> <P><B>error in</B> can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.</P>
<P></P>
<P>Right-click the <B>error in</B> control on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error. </P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>status</B> <P><B>status</B> is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.</P>
<P></P>
<P>Right-click the <B>error in</B> control on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>code</B> <P><B>code</B> is the error or warning code.</P>
<P></P>
<P>Right-click the <B>error in</B> control on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>source</B> <P><B>source</B> describes the origin of the error or warning.</P>
<P></P>
<P>Right-click the <B>error in</B> control on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>Filename corrected?</B> <P>Indicates if filename has been corrected</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>Bad Character(s)</B> <P>Displays found bad characters</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ierrcodeclst.png" ALT="ierrcodeclst"></P>
</TD>
<TD>
<B>error out</B> <P><B>error out</B> passes error or warning information out of a VI to be used by other VIs.</P>
<P></P>
<P>Right-click the <B>error out</B> indicator on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>status</B> <P><B>status</B> is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.</P>
<P></P>
<P>Right-click the <B>error out</B> indicator on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ii32.png" ALT="ii32"></P>
</TD>
<TD>
<B>code</B> <P><B>code</B> is the error or warning code.</P>
<P></P>
<P>Right-click the <B>error out</B> indicator on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>source</B> <P><B>source</B> string describes the origin of the error or warning.</P>
<P></P>
<P>Right-click the <B>error out</B> indicator on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>Corrected path string</B> <P>Corrected path string</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ipath.png" ALT="ipath"></P>
</TD>
<TD>
<B>corrected path</B> <P>Corrected path</P>
</TD>
</TR>
</Table>
<HR>
<H3>Block Diagram</H3>
<P><IMG SRC="full_help/full_helpd.png" ALT="absolute_time_graph.lvlib:check_file_name.vi"></P>
<P><IMG SRC="full_help/full_helpd1.png" ALT="absolute_time_graph.lvlib:check_file_name.vi"></P>
<P><IMG SRC="full_help/full_helpd2.png" ALT="absolute_time_graph.lvlib:check_file_name.vi"></P>
<P><IMG SRC="full_help/full_helpd3.png" ALT="absolute_time_graph.lvlib:check_file_name.vi"></P>
<HR>
<H3>List of SubVIs and Express VIs with Configuration Information</H3>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/Space_Constanti.png" ALT="Space Constant.vi"></P>
</TD>
<TD>
<B><P>Space Constant.vi</P>
</B><P>C:\Program Files (x86)\National Instruments\LabVIEW 2014\vi.lib\dlg_ctls.llb\Space Constant.vi</P>
</TD>
</TR>
</Table>
<HR>
<H3>VI Revision History</H3>
<P>&quot;absolute_time_graph.lvlib:check_file_name.vi History&quot;</P>
<P>Current Revision:   4</P>
<HR>
<H3>Position in Hierarchy</H3>
<P><IMG SRC="full_help/full_helph.png" ALT="absolute_time_graph.lvlib:check_file_name.vi"></P>
<HR>
<H3>Iconified Cluster Constants</H3>
</BODY>
</HTML>
